services:
    SmartUserBundle\Manager\UserManager:
        public: true
        arguments:
            - '%smart_user.model.user.class%'
            - '@doctrine.orm.default_entity_manager'
            - '@smart_core.mailer'
            - '@router'
            - '@security.encoder_factory'
            - '@translator.default'
            - '%smart_user.model.password_history.class%'

    smart_user.manager.user:
        public: true
        alias: SmartUserBundle\Manager\UserManager

    SmartUserBundle\Manager\LoginManager:
        public: true
        arguments:
            - '@security.token_storage'
            - '@security.user_checker'
            - '@security.authentication.session_strategy'
            - '@request_stack'
            -

    smart_user.manager.login:
        public: true
        alias: SmartUserBundle\Manager\LoginManager
